<?php
declare(strict_types=1);

namespace Inti\Provider\Query;

/**
 * Trait QueryParentTrait
 *
 * @package Inti\Provider\Query
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-provider
 */
trait QueryParentTrait
{
    use QueryTrait;

    public function parent(int $parent): QueryParentInterface
    {
        $this->assertQueryIsInitialized();
        $this->_query['parent'] = $parent;
        /** @noinspection PhpIncompatibleReturnTypeInspection */
        return $this;
    }
}
